Convert
Convert a document to a new file format, currently the following formats are supported:
PDF - Adobe PDF.
HTML - HTML Format, text and formatting only, images are not included.
TXT - Text only, with very limited formatting and no images.
Document Response Format
Described the format you would like the document to be returned in. Values supported are:
PDF (default)
HTML
TXT
Required Properties
Document
Convert a document to a new file format. Includes PDF and HTML.
Authorizations
X-API-KEYstringRequired
Body
Responses
200
Success
403
The request is not authorized to make the conversion request
404
Service has not been found, please contact [email protected]
500
Something has gone wrong, please contact [email protected]
post
/conversion/v1/convertPOST /conversion/v1/convert HTTP/1.1
Host: api.tendocs.com/
X-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 292
{
"document": {
"$content-type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"$content": "UEsDBBQAAAgIAJMrVV...[[Base64 Encoded File]]"
},
"configuration": {
"documentresponseformat": "PDF",
"Keys": {
"example_key1": "example_key_value1",
"example_key2": "example_key_value2"
}
}
}No content
Last updated
Was this helpful?